import { OnInit, OnDestroy, QueryList } from '@angular/core';
import { CommentItemComponent } from './comment-item/comment-item.component';
import { Annotation } from '../../../data/annotation-set.model';
import { AnnotationStoreService } from '../../../data/annotation-store.service';
import { PdfService } from '../../../data/pdf.service';
import { Utils } from '../../../data/utils';
import { EmLoggerService } from '../../../logging/em-logger.service';
import { PdfRenderService } from '../../../data/pdf-render.service';
export declare class CommentsComponent implements OnInit, OnDestroy {
    private annotationStoreService;
    private pdfService;
    private utils;
    private pdfRenderService;
    private log;
    private dataLoadedSub;
    annotations: Annotation[];
    pageNumber: number;
    private pageNumSub;
    commentItems: QueryList<CommentItemComponent>;
    constructor(annotationStoreService: AnnotationStoreService, pdfService: PdfService, utils: Utils, pdfRenderService: PdfRenderService, log: EmLoggerService);
    ngOnInit(): void;
    redrawCommentItemComponents(): void;
    sortCommentItemComponents(): CommentItemComponent[];
    processSort(a: CommentItemComponent, b: CommentItemComponent): number;
    isAnnotationOnSameLine(a: CommentItemComponent, b: CommentItemComponent): boolean;
    isOverlapping(commentItem: CommentItemComponent, previousCommentItem: CommentItemComponent): CommentItemComponent;
    ngOnDestroy(): void;
    preRun(): void;
    showAllComments(): void;
    handleAnnotationBlur(): void;
    handleAnnotationClick(event: any): void;
}
